require_relative 'project'
require_relative 'die'
require_relative 'pledge_pool'

module Crowdfund
  module FundingRound
    def self.do_round(project)
      die = Die.new
      case die.roll
      when 4..6
        project.add_funds
      when 2..3
        puts "#{project.name} received no funds this time."
      else
        project.lose_funds
      end
      project.receive_pledge
    end
  end
end

if __FILE__ == $0
  project = Project.new("Airing", 100_000, 630_649)
  FundingRound.do_round(project)
end
