require_relative 'project'

module Crowdfund
  class MatchProject < Project

    def match?
      @funding >= @goal / 2.0
    end

    def add_funds(amount=25)
      if match?
        super(amount * 2)
      else
        super
      end
    end

    def receive_pledge
      if match?
        match_factor = 2
        super(match_factor)
      else
        super
      end
    end
  end
end
