module Crowdfund
  module Fundable

    def add_funds(amount=25)
      self.funding += amount
      puts "#{name} gained some funds!"
    end

    def lose_funds(amount=15)
      self.funding -= amount
      puts "#{name} lost some funds!"
    end

    def funds_needed
      goal - funding
    end

    def fully_funded?
      funds_needed <= 0
    end
  end
end
