# -*- encoding: utf-8 -*-
# stub: crowdfund_tr 1.0.0 ruby lib

Gem::Specification.new do |s|
  s.name = "crowdfund_tr".freeze
  s.version = "1.0.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Todd Ruhlen".freeze]
  s.date = "2015-07-15"
  s.description = "A simple, text-based crowdfunding simulator.  Run a group of projects through a\nseries of funding rounds, in which they either receive or lose funds, or are\nskipped.  They also receive a random pledge.  Grant projects never lose funds.\nMatch projects have all future funding matched after they reach half-funding.\nStatistics are printed to the console at the end of the simulation.\n\nThe normal projects can be specified in a '.csv' file that is given as a command\nline argument when loading the program, or the default projects can be used. The\nformat for 'csv' entries is Project Name,Goal,Initial_funding with a comma and\nno spaces between entries and underscores in place of commas within larger\nnumbers (e.g. Your Project,10_000,0).\n\nThe option is given to save a list of underfunded projects upon exiting the\nprogram.  The list is saved in 'underfunded.txt' in the top-level folder of the\napplication.\n\nCreated as a bonus project while completing the Pragmatic Studio Ruby\nProgramming course.\n".freeze
  s.email = "rhythmtome@yahoo.com".freeze
  s.executables = ["crowdfund".freeze]
  s.files = ["bin/crowdfund".freeze]
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 1.9".freeze)
  s.rubygems_version = "3.3.7".freeze
  s.summary = "Simple text-based crowdfunding simulator created during the Pragmatic Studio Ruby Programming course.".freeze

  s.installed_by_version = "3.3.7" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<rspec>.freeze, ["~> 0"])
  else
    s.add_dependency(%q<rspec>.freeze, ["~> 0"])
  end
end
